| Home | Libraries | People | FAQ | More

#### model::multi_linestring

multi_line, a collection of linestring

###### Description

Multi-linestring can be used to group lines belonging to each other, e.g. a highway (with interruptions)

###### Model of

MultiLineString Concept

###### Synopsis

    template<typename LineString, template< typename, typename > class Container, template< typename > class Allocator>
    class model::multi_linestring
          : public Container< LineString, Allocator< LineString > >
    {
      // ...
    };

###### Template parameter(s)

Parameter | Default | Description
--- | --- | ---
typename LineString |  |
template< typename, typename > class Container | std::vector |
template< typename > class Allocator | std::allocator |

###### Header

Either

`#include <boost/geometry/geometries/geometries.hpp>`

Or

`#include <boost/geometry/geometries/multi_linestring.hpp>`